Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class BuyEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
                      com.bea.commerce.ebusiness.tracking.events.BuyEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Deprecated See WLP Commerce product offering

    @Deprecated
    public class BuyEvent

extends ShoppingEvent

Event for tracking purchases

See Also
  Serialized Form

Field Summary
`static String` | `ORDER_LINE_ID` Deprecated See WLP Commerce product offering
`static String` | `TYPE` Deprecated See WLP Commerce product offering
`static String` | `UNIT_PRICE` Deprecated See WLP Commerce product offering

Fields inherited from class com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
`APPLICATION_NAME, CURRENCY, QUANTITY, SKU`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`BuyEvent(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest theRequest, String aSKU, Double theQuantity, Double theUnitPrice, String aCurrency, String aApplicationName, Long aOrderLineId)` Deprecated See WLP Commerce product offering
`BuyEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, String aSKU, Double theQuantity, Double theUnitPrice, String aCurrency, String aApplicationName, Long aOrderLineId)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  Deprecated See WLP Commerce product offering
  The event type

  See Also
    Constants Summary

### ORDER_LINE_ID

    public static final String ORDER_LINE_ID

  Deprecated See WLP Commerce product offering
  Order line id key Attribute value is a Long

  See Also
    Constants Summary

### UNIT_PRICE

    public static final String UNIT_PRICE

  Deprecated See WLP Commerce product offering
  Event attribute key name for unit price (used by shopping and buy) Attribute value is a Double

  See Also
    Constants Summary

Constructor Detail

### BuyEvent

    public BuyEvent(javax.servlet.http.HttpSession session,
                    javax.servlet.http.HttpServletRequest theRequest,
                    String aSKU,
                    Double theQuantity,
                    Double theUnitPrice,
                    String aCurrency,
                    String aApplicationName,
                    Long aOrderLineId)

  Deprecated See WLP Commerce product offering

  Create a new BuyEvent. This ctor must be used to track anonymous users

  Parameters
    `session` - the http servlet session
    `theRequest` - the http servlet request
    `aSKU` - SKU of the item (optionally null)
    `theQuantity` - quantity of item
    `theUnitPrice` - price per unit quantity of the item
    `aCurrency` - the currency (null if unknown)
    `aApplicationName` - application name (aka storefront) (optionally null)
    `aOrderLineId` - order line id for the item

### BuyEvent

    public BuyEvent(String theSessionId,
                    String theUserId,
                    javax.servlet.http.HttpServletRequest theRequest,
                    String aSKU,
                    Double theQuantity,
                    Double theUnitPrice,
                    String aCurrency,
                    String aApplicationName,
                    Long aOrderLineId)

  Deprecated

  Create a new BuyEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request
    `aSKU` - SKU of the item (optionally null)
    `theQuantity` - quantity of item
    `theUnitPrice` - price per unit quantity of the item
    `aCurrency` - the currency (null if unknown)
    `aApplicationName` - application name (aka storefront) (optionally null)
    `aOrderLineId` - order line id for the item

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.